Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.remote
Class SerializableParameterMetaData

    java.lang.Object
      org.jboss.resource.adapter.jdbc.remote.SerializableParameterMetaData

All Implemented Interfaces:
  ParameterMetaData, Serializable

public class SerializableParameterMetaData
extends Object
implements ParameterMetaData, Serializable

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.sql.ParameterMetaData
`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

Constructor Summary
`SerializableParameterMetaData(ParameterMetaData pMetaData)`

Method Summary
`String` | `getParameterClassName(int param)` Retrieves the fully-qualified name of the Java class whose instances should be passed to the method `PreparedStatement.setObject`.
`int` | `getParameterCount()` Retrieves the number of parameters in the `PreparedStatement` object for which this `ParameterMetaData` object contains information.
`int` | `getParameterMode(int param)` Retrieves the designated parameter's mode.
`int` | `getParameterType(int param)` Retrieves the designated parameter's SQL type.
`String` | `getParameterTypeName(int param)` Retrieves the designated parameter's database-specific type name.
`int` | `getPrecision(int param)` Retrieves the designated parameter's number of decimal digits.
`int` | `getScale(int param)` Retrieves the designated parameter's number of digits to right of the decimal point.
`int` | `isNullable(int param)` Retrieves whether null values are allowed in the designated parameter.
`boolean` | `isSigned(int param)` Retrieves whether values for the designated parameter can be signed numbers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableParameterMetaData

    public SerializableParameterMetaData(ParameterMetaData pMetaData)
                                  throws SQLException

Method Detail

### getParameterCount

    public int getParameterCount()
                          throws SQLException

  Retrieves the number of parameters in the `PreparedStatement` object for which this `ParameterMetaData` object contains information.

  Specified by:
    `getParameterCount` in interface `ParameterMetaData`
  Returns:
    the number of parameters
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterMode

    public int getParameterMode(int param)
                         throws SQLException

  Retrieves the designated parameter's mode.

  Specified by:
    `getParameterMode` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    mode of the parameter; one of `ParameterMetaData.parameterModeIn`, `ParameterMetaData.parameterModeOut`, or `ParameterMetaData.parameterModeInOut` `ParameterMetaData.parameterModeUnknown`.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterType

    public int getParameterType(int param)
                         throws SQLException

  Retrieves the designated parameter's SQL type.

  Specified by:
    `getParameterType` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    SQL type from `java.sql.Types`
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `Types`

### getPrecision

    public int getPrecision(int param)
                     throws SQLException

  Retrieves the designated parameter's number of decimal digits.

  Specified by:
    `getPrecision` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    precision
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getScale

    public int getScale(int param)
                 throws SQLException

  Retrieves the designated parameter's number of digits to right of the decimal point.

  Specified by:
    `getScale` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    scale
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isNullable

    public int isNullable(int param)
                   throws SQLException

  Retrieves whether null values are allowed in the designated parameter.

  Specified by:
    `isNullable` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    the nullability status of the given parameter; one of `ParameterMetaData.parameterNoNulls`, `ParameterMetaData.parameterNullable`, or `ParameterMetaData.parameterNullableUnknown`
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isSigned

    public boolean isSigned(int param)
                     throws SQLException

  Retrieves whether values for the designated parameter can be signed numbers.

  Specified by:
    `isSigned` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterClassName

    public String getParameterClassName(int param)
                                 throws SQLException

  Retrieves the fully-qualified name of the Java class whose instances should be passed to the method `PreparedStatement.setObject`.

  Specified by:
    `getParameterClassName` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method `PreparedStatement.setObject` to set the value in the specified parameter. This is the class name used for custom mapping.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterTypeName

    public String getParameterTypeName(int param)
                                throws SQLException

  Retrieves the designated parameter's database-specific type name.

  Specified by:
    `getParameterTypeName` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    type the name used by the database. If the parameter type is a user-defined type, then a fully-qualified type name is returned.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.